# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class SimpleCookieManager

    java.lang.Object
      com.google.gdata.client.SimpleCookieManager

All Implemented Interfaces:
  CookieManager

    public class SimpleCookieManager

extends java.lang.Object
implements CookieManager

A simple cookie manager implementation.

Field Summary
`protected com.google.common.collect.Multiset<GoogleGDataRequest.GoogleCookie>` `cookies` Storage for a set of cookies.
`protected boolean` `cookiesEnabled` Indicates whether cookie handling is enabled.

Constructor Summary
`SimpleCookieManager()`

Method Summary
`void` `addCookie(GoogleGDataRequest.GoogleCookie cookie)` Adds a new GoogleCookie instance to the cache.
`void` `clearCookies()` Clears all cookies.
`boolean` `cookiesEnabled()` Returns `true` if the GoogleService is handling cookies.
`java.util.Set<GoogleGDataRequest.GoogleCookie>` `getCookies()` Returns the set of associated cookies returned by previous requests.
`void` `setCookiesEnabled(boolean cookiesEnabled)` Enables or disables cookie handling.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cookies

    protected com.google.common.collect.Multiset<GoogleGDataRequest.GoogleCookie> cookies

  Storage for a set of cookies.

### cookiesEnabled

    protected boolean cookiesEnabled

  Indicates whether cookie handling is enabled.

Constructor Detail

### SimpleCookieManager

    public SimpleCookieManager()

Method Detail

### setCookiesEnabled

    public void setCookiesEnabled(boolean cookiesEnabled)

  Description copied from interface: `CookieManager`
  Enables or disables cookie handling.

  Specified by:
    `setCookiesEnabled` in interface `CookieManager`

### cookiesEnabled

    public boolean cookiesEnabled()

  Description copied from interface: `CookieManager`
  Returns `true` if the GoogleService is handling cookies.

  Specified by:
    `cookiesEnabled` in interface `CookieManager`

### clearCookies

    public void clearCookies()

  Description copied from interface: `CookieManager`
  Clears all cookies.

  Specified by:
    `clearCookies` in interface `CookieManager`

### addCookie

    public void addCookie(GoogleGDataRequest.GoogleCookie cookie)

  Description copied from interface: `CookieManager`
  Adds a new GoogleCookie instance to the cache.

  Specified by:
    `addCookie` in interface `CookieManager`

### getCookies

    public java.util.Set<GoogleGDataRequest.GoogleCookie> getCookies()

  Description copied from interface: `CookieManager`
  Returns the set of associated cookies returned by previous requests.

  Specified by:
    `getCookies` in interface `CookieManager`